Skip to main content
GET
/
v1
/
conversations
/
{id}
/
messages
List conversation messages
curl --request GET \
  --url https://api.timelyai.com.br/v1/conversations/{id}/messages \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "content": "<string>",
      "sender_type": "customer",
      "message_type": "text",
      "media_url": "<string>",
      "media_type": "<string>",
      "is_edited": true,
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "total_pages": 123
  }
}

Authorizations

x-api-key
string
header
required

API key obtained from the dashboard

Path Parameters

id
string<uuid>
required

Conversation ID

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
limit
integer
default:20

Items per page

Required range: 1 <= x <= 100
order
enum<string>
default:desc

Sort direction

Available options:
asc,
desc
since
string<date-time>
until
string<date-time>

Response

List of messages

data
object[]
pagination
object